%global debug_package %{nil} 

Name:           firmware-interface-check
Version:        1.0
Release:        5%{?dist}
Summary:        check firmware interface 
BuildArch:      mips64el

Group:          Unspecified
License:        GPLv2
URL:            http://www.loongnix.org
Source0:        %{name}.tar.gz
AutoReq:	no

Buildrequires:	kernel-devel
Buildrequires:	pluma

%description
check firmware interface information form kernel

%prep
%setup -q -c

%build
#nothing to do

%install
%{__install} -d %{buildroot}/%{_bindir}/
%{__install} -d %{buildroot}/%{_usr}/share/applications/firmware-interface-check
%{__install} -d %{buildroot}/%{_usr}/share/icons/
%{__install} -d %{buildroot}/%{_var}/cache/unitest/
%{__install} -m 0755 %{_builddir}/%{name}-%{version}/firmwarecheck %{buildroot}/%{_bindir}/
%{__install} %{_builddir}/%{name}-%{version}/firmware-check.png %{buildroot}/%{_usr}/share/icons/
%{__install} %{_builddir}/%{name}-%{version}/*.desktop %{buildroot}/%{_usr}/share/applications/firmware-interface-check/
%{__install} %{_builddir}/%{name}-%{version}/Makefile %{buildroot}/%{_var}/cache/unitest/
%{__install} %{_builddir}/%{name}-%{version}/unitest.c %{buildroot}/%{_var}/cache/unitest/
%{__install} %{_builddir}/%{name}-%{version}/mem_check.h %{buildroot}/%{_var}/cache/unitest/

%clean
rm -rf $RPM_BUILD_ROOT

%post
#nothing to do
%postun
#nothing to do

%files
%{_bindir}/*
%{_var}/cache/unitest
/usr/share/icons/firmware-check.png
/usr/share/applications/firmware-interface-check/*.desktop

%changelog
* Mon Aug 19 2019 Nan xiongchao <nanxiongchao@loongson.cn> - 1.0-5
- add error check for kernel-devel

* Mon Aug 19 2019 Nan xiongchao <nanxiongchao@loongson.cn> - 1.0-4
- display output information before insmod.

* Wed Aug 14 2019 Nan xiongchao <nanxiongchao@loongson.cn> - 1.0-3
- changed check process from cat to insmod.
- dynamic display test results.

* Tue Aug  6 2019 Nan xiongchao <nanxiongchao@loongson.cn> - 1.0-2
- complete check method.

* Mon Jun 24 2019 zhang dandan <zhangdandan@loongson.cn> - 1.0-1
- check firmware interface specification information from the kernel.

